List comments
curl --request GET \
--url https://api.cybr.com/api/v2/labs/{labId}/comments \
--header 'X-API-Key: <api-key>' \
--header 'x-cybr-learner-id: <x-cybr-learner-id>'import requests
url = "https://api.cybr.com/api/v2/labs/{labId}/comments"
headers = {
"x-cybr-learner-id": "<x-cybr-learner-id>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-cybr-learner-id': '<x-cybr-learner-id>', 'X-API-Key': '<api-key>'}
};
fetch('https://api.cybr.com/api/v2/labs/{labId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comments": [],
"nextCursor": null,
"totalCount": 0
}{
"message": "<string>",
"retryAfter": 123,
"activeCount": 123,
"limit": 123,
"errors": [
"<string>"
]
}{
"message": "<string>",
"retryAfter": 123,
"activeCount": 123,
"limit": 123,
"errors": [
"<string>"
]
}{
"message": "<string>",
"retryAfter": 123,
"activeCount": 123,
"limit": 123,
"errors": [
"<string>"
]
}{
"message": "<string>",
"retryAfter": 123,
"activeCount": 123,
"limit": 123,
"errors": [
"<string>"
]
}{
"message": "<string>",
"retryAfter": 123,
"activeCount": 123,
"limit": 123,
"errors": [
"<string>"
]
}{
"message": "<string>",
"retryAfter": 123,
"activeCount": 123,
"limit": 123,
"errors": [
"<string>"
]
}{
"message": "<string>",
"retryAfter": 123,
"activeCount": 123,
"limit": 123,
"errors": [
"<string>"
]
}REST API endpoints
List comments
Returns organization-scoped discussion threads and replies. SDK: labs.listComments().
List comments
SDK:
labs.listComments().Authorizations
Headers
Learner ID from the server session.
Required string length:
1 - 500Path Parameters
Was this page helpful?
